/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { Plugin } from 'unified';
import type { Root } from 'mdast';
interface PluginOptions {
    removeContentTitle?: boolean;
}
/**
 * A remark plugin to extract the h1 heading found in Markdown files
 * This is exposed as "data.contentTitle" to the processed vfile
 * Also gives the ability to strip that content title (used for the blog plugin)
 */
declare const plugin: Plugin<PluginOptions[], Root>;
export default plugin;
//# sourceMappingURL=index.d.ts.map